<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionMarkerClientData Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/d68/a06370.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionMarkerClientData Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionMarkerClientData:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d2/d68/a06370.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a6b382c07d0d3569aa24f9abdb4ab5464"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d68/a06370.html#a6b382c07d0d3569aa24f9abdb4ab5464">ExpansionMarkerClientData</a> ()</td></tr>
<tr class="separator:a6b382c07d0d3569aa24f9abdb4ab5464"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4a8fb1849ec3baf6c9dbe2212ddf5f1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d68/a06370.html#aa4a8fb1849ec3baf6c9dbe2212ddf5f1">~ExpansionMarkerClientData</a> ()</td></tr>
<tr class="separator:aa4a8fb1849ec3baf6c9dbe2212ddf5f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae039150960eeea99f399e33b0169bded"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d68/a06370.html#ae039150960eeea99f399e33b0169bded">OnStoreSave</a> (ParamsWriteContext file)</td></tr>
<tr class="separator:ae039150960eeea99f399e33b0169bded"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac59ac58f4c12c4837e4f48bc43980e73"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d68/a06370.html#ac59ac58f4c12c4837e4f48bc43980e73">OnStoreLoad</a> (ParamsReadContext ctx, int version)</td></tr>
<tr class="separator:ac59ac58f4c12c4837e4f48bc43980e73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab86fc267b1ae315b5a7a9c0ac7e07852"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d68/a06370.html#ab86fc267b1ae315b5a7a9c0ac7e07852">Equals</a> (<a class="el" href="../../d2/d68/a06370.html">ExpansionMarkerClientData</a> other)</td></tr>
<tr class="separator:ab86fc267b1ae315b5a7a9c0ac7e07852"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3596ec7ba9c857c028144bcb676b958c"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d68/a06370.html#a3596ec7ba9c857c028144bcb676b958c">Equals</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ip, int port)</td></tr>
<tr class="separator:a3596ec7ba9c857c028144bcb676b958c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51ff044ab079bc64716ab373ac24282e"><td class="memItemLeft" align="right" valign="top">array&lt; <a class="el" href="../../d7/d1e/a04382.html">ExpansionMarkerData</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d68/a06370.html#a51ff044ab079bc64716ab373ac24282e">GetAll</a> ()</td></tr>
<tr class="separator:a51ff044ab079bc64716ab373ac24282e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9936891dec94fb861fba700f07b07116"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d68/a06370.html#a9936891dec94fb861fba700f07b07116">NextPersonalUID</a> ()</td></tr>
<tr class="separator:a9936891dec94fb861fba700f07b07116"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88420118d6bd83bd5fc0f6453622e798"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d68/a06370.html#a88420118d6bd83bd5fc0f6453622e798">PersonalCount</a> ()</td></tr>
<tr class="separator:a88420118d6bd83bd5fc0f6453622e798"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f9418ba71d6733052b29cbc4b172ce6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/d1e/a04382.html">ExpansionMarkerData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d68/a06370.html#a7f9418ba71d6733052b29cbc4b172ce6">PersonalGet</a> (int idx)</td></tr>
<tr class="separator:a7f9418ba71d6733052b29cbc4b172ce6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a0e251c531d61fca97b9a9a1c2a566c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/d1e/a04382.html">ExpansionMarkerData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d68/a06370.html#a1a0e251c531d61fca97b9a9a1c2a566c">PersonalGetByUID</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> uid)</td></tr>
<tr class="separator:a1a0e251c531d61fca97b9a9a1c2a566c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a141e6968992d0b9f7053a9a9ffcd2f84"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d68/a06370.html#a141e6968992d0b9f7053a9a9ffcd2f84">PersonalGetUID</a> (int idx)</td></tr>
<tr class="separator:a141e6968992d0b9f7053a9a9ffcd2f84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad3b92a5d058a6142e1134c584b286be"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d68/a06370.html#aad3b92a5d058a6142e1134c584b286be">PersonalSetVisibility</a> (<a class="el" href="../../d7/d1e/a04382.html">ExpansionMarkerData</a> data, int vis)</td></tr>
<tr class="separator:aad3b92a5d058a6142e1134c584b286be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a439d157593725161b1ee7a1b791f3599"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d68/a06370.html#a439d157593725161b1ee7a1b791f3599">PersonalRemoveVisibility</a> (<a class="el" href="../../d7/d1e/a04382.html">ExpansionMarkerData</a> data, int vis)</td></tr>
<tr class="separator:a439d157593725161b1ee7a1b791f3599"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3aa922f8b9cf173800a0a168adfe609"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d68/a06370.html#aa3aa922f8b9cf173800a0a168adfe609">PersonalFlipVisibility</a> (<a class="el" href="../../d7/d1e/a04382.html">ExpansionMarkerData</a> data, int vis)</td></tr>
<tr class="separator:aa3aa922f8b9cf173800a0a168adfe609"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ca81416f4c883d218e071200f40e6dc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d68/a06370.html#a6ca81416f4c883d218e071200f40e6dc">PersonalInsert</a> (<a class="el" href="../../d7/d1e/a04382.html">ExpansionMarkerData</a> data)</td></tr>
<tr class="separator:a6ca81416f4c883d218e071200f40e6dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c922495992f6a034ed6498ace630e36"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d68/a06370.html#a4c922495992f6a034ed6498ace630e36">PersonalRemove</a> (int idx)</td></tr>
<tr class="separator:a4c922495992f6a034ed6498ace630e36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72aee690c39c2f4ec80b1eeb3cdaec28"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d68/a06370.html#a72aee690c39c2f4ec80b1eeb3cdaec28">PersonalRemoveByUID</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> uid)</td></tr>
<tr class="separator:a72aee690c39c2f4ec80b1eeb3cdaec28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01ef023b5aeea9182c748778345ed0db"><td class="memItemLeft" align="right" valign="top">array&lt; ref <a class="el" href="../../d7/d1e/a04382.html">ExpansionMarkerData</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d68/a06370.html#a01ef023b5aeea9182c748778345ed0db">PersonalGet</a> ()</td></tr>
<tr class="separator:a01ef023b5aeea9182c748778345ed0db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4154be9f2d6b849ab2f83c8110feb734"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d68/a06370.html#a4154be9f2d6b849ab2f83c8110feb734">ServerCount</a> ()</td></tr>
<tr class="separator:a4154be9f2d6b849ab2f83c8110feb734"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70ef53ec4d0dc6e02e1c7a4db6ee35fc"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/d1e/a04382.html">ExpansionMarkerData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d68/a06370.html#a70ef53ec4d0dc6e02e1c7a4db6ee35fc">ServerGet</a> (int idx)</td></tr>
<tr class="separator:a70ef53ec4d0dc6e02e1c7a4db6ee35fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62fd9fba50c51cd5b212bc93840021db"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/d1e/a04382.html">ExpansionMarkerData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d68/a06370.html#a62fd9fba50c51cd5b212bc93840021db">ServerGet</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> uid)</td></tr>
<tr class="separator:a62fd9fba50c51cd5b212bc93840021db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6107837fba8bf4e97d1f0bb90c167ed1"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d68/a06370.html#a6107837fba8bf4e97d1f0bb90c167ed1">ServerSetVisibility</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> uid, int vis)</td></tr>
<tr class="separator:a6107837fba8bf4e97d1f0bb90c167ed1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad31856061bcf3810643ef10be786c605"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d68/a06370.html#ad31856061bcf3810643ef10be786c605">ServerRemoveVisibility</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> uid, int vis)</td></tr>
<tr class="separator:ad31856061bcf3810643ef10be786c605"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a379577e5579aecf9cbed251339a9d3e6"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d68/a06370.html#a379577e5579aecf9cbed251339a9d3e6">ServerFlipVisibility</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> uid, int vis)</td></tr>
<tr class="separator:a379577e5579aecf9cbed251339a9d3e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a7cb5457807a4456163fa3852ec7de5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d68/a06370.html#a1a7cb5457807a4456163fa3852ec7de5">OnRefresh</a> ()</td></tr>
<tr class="separator:a1a7cb5457807a4456163fa3852ec7de5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76db2e82494a2f5ab215baab96ba6314"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d68/a06370.html#a76db2e82494a2f5ab215baab96ba6314">RefreshServerMarkers</a> ()</td></tr>
<tr class="separator:a76db2e82494a2f5ab215baab96ba6314"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a246f5145182a0b08dae0fb536addfc32"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d68/a06370.html#a246f5145182a0b08dae0fb536addfc32">RefreshPersonalMarkers</a> ()</td></tr>
<tr class="separator:a246f5145182a0b08dae0fb536addfc32"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a33738c3bef35e78126fb429e57a8b728"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d68/a06370.html#a33738c3bef35e78126fb429e57a8b728">m_IP</a></td></tr>
<tr class="separator:a33738c3bef35e78126fb429e57a8b728"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30b484efceec56cccb76f5dcd2b74ce2"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d68/a06370.html#a30b484efceec56cccb76f5dcd2b74ce2">m_Port</a></td></tr>
<tr class="separator:a30b484efceec56cccb76f5dcd2b74ce2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aadb04d4e547147cf828af753f29f1af2"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d68/a06370.html#aadb04d4e547147cf828af753f29f1af2">m_NextPersonalUID</a></td></tr>
<tr class="separator:aadb04d4e547147cf828af753f29f1af2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b39d309364d578c6f9567199d3b5f18"><td class="memItemLeft" align="right" valign="top">ref array&lt; ref <a class="el" href="../../d7/d1e/a04382.html">ExpansionMarkerData</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d68/a06370.html#a7b39d309364d578c6f9567199d3b5f18">m_PersonalMarkers</a></td></tr>
<tr class="separator:a7b39d309364d578c6f9567199d3b5f18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ff58056e1f145e0fcea66a637d225bc"><td class="memItemLeft" align="right" valign="top">ref map&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>, ref <a class="el" href="../../da/d02/a06374.html">ExpansionMarkerClientInfo</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d68/a06370.html#a3ff58056e1f145e0fcea66a637d225bc">m_MarkerInfo_Server</a></td></tr>
<tr class="separator:a3ff58056e1f145e0fcea66a637d225bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea4cca08a46d02ebc97f68c5d297ab5b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dd/dc8/a06378.html">ExpansionMarkerModule</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d68/a06370.html#aea4cca08a46d02ebc97f68c5d297ab5b">m_MarkerModule</a></td></tr>
<tr class="separator:aea4cca08a46d02ebc97f68c5d297ab5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >ExpansionMarkerClientData.c</p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../dc/dc3/a09388_source.html#l00013">13</a> of file <a class="el" href="../../dc/dc3/a09388_source.html">expansionmarkerclientdata.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a6b382c07d0d3569aa24f9abdb4ab5464" name="a6b382c07d0d3569aa24f9abdb4ab5464"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b382c07d0d3569aa24f9abdb4ab5464">&#9670;&#160;</a></span>ExpansionMarkerClientData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMarkerClientData::ExpansionMarkerClientData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dc3/a09388_source.html#l00030">30</a> of file <a class="el" href="../../dc/dc3/a09388_source.html">expansionmarkerclientdata.c</a>.</p>

</div>
</div>
<a id="aa4a8fb1849ec3baf6c9dbe2212ddf5f1" name="aa4a8fb1849ec3baf6c9dbe2212ddf5f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa4a8fb1849ec3baf6c9dbe2212ddf5f1">&#9670;&#160;</a></span>~ExpansionMarkerClientData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMarkerClientData::~ExpansionMarkerClientData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dc3/a09388_source.html#l00043">43</a> of file <a class="el" href="../../dc/dc3/a09388_source.html">expansionmarkerclientdata.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ab86fc267b1ae315b5a7a9c0ac7e07852" name="ab86fc267b1ae315b5a7a9c0ac7e07852"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab86fc267b1ae315b5a7a9c0ac7e07852">&#9670;&#160;</a></span>Equals() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionMarkerClientData::Equals </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d68/a06370.html">ExpansionMarkerClientData</a>&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dc3/a09388_source.html#l00200">200</a> of file <a class="el" href="../../dc/dc3/a09388_source.html">expansionmarkerclientdata.c</a>.</p>

</div>
</div>
<a id="a3596ec7ba9c857c028144bcb676b958c" name="a3596ec7ba9c857c028144bcb676b958c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3596ec7ba9c857c028144bcb676b958c">&#9670;&#160;</a></span>Equals() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionMarkerClientData::Equals </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>ip</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>port</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dc3/a09388_source.html#l00205">205</a> of file <a class="el" href="../../dc/dc3/a09388_source.html">expansionmarkerclientdata.c</a>.</p>

</div>
</div>
<a id="a51ff044ab079bc64716ab373ac24282e" name="a51ff044ab079bc64716ab373ac24282e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a51ff044ab079bc64716ab373ac24282e">&#9670;&#160;</a></span>GetAll()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">array&lt; <a class="el" href="../../d7/d1e/a04382.html">ExpansionMarkerData</a> &gt; ExpansionMarkerClientData::GetAll </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dc3/a09388_source.html#l00210">210</a> of file <a class="el" href="../../dc/dc3/a09388_source.html">expansionmarkerclientdata.c</a>.</p>

</div>
</div>
<a id="a9936891dec94fb861fba700f07b07116" name="a9936891dec94fb861fba700f07b07116"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9936891dec94fb861fba700f07b07116">&#9670;&#160;</a></span>NextPersonalUID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionMarkerClientData::NextPersonalUID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dc3/a09388_source.html#l00280">280</a> of file <a class="el" href="../../dc/dc3/a09388_source.html">expansionmarkerclientdata.c</a>.</p>

</div>
</div>
<a id="a1a7cb5457807a4456163fa3852ec7de5" name="a1a7cb5457807a4456163fa3852ec7de5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a7cb5457807a4456163fa3852ec7de5">&#9670;&#160;</a></span>OnRefresh()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMarkerClientData::OnRefresh </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >IMPORTANT! We do not want to clear any marker client info if player is not yet loaded</p>

<p class="definition">Definition at line <a class="el" href="../../dc/dc3/a09388_source.html#l00553">553</a> of file <a class="el" href="../../dc/dc3/a09388_source.html">expansionmarkerclientdata.c</a>.</p>

</div>
</div>
<a id="ac59ac58f4c12c4837e4f48bc43980e73" name="ac59ac58f4c12c4837e4f48bc43980e73"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac59ac58f4c12c4837e4f48bc43980e73">&#9670;&#160;</a></span>OnStoreLoad()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionMarkerClientData::OnStoreLoad </td>
          <td>(</td>
          <td class="paramtype">ParamsReadContext&#160;</td>
          <td class="paramname"><em>ctx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>version</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dc3/a09388_source.html#l00090">90</a> of file <a class="el" href="../../dc/dc3/a09388_source.html">expansionmarkerclientdata.c</a>.</p>

</div>
</div>
<a id="ae039150960eeea99f399e33b0169bded" name="ae039150960eeea99f399e33b0169bded"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae039150960eeea99f399e33b0169bded">&#9670;&#160;</a></span>OnStoreSave()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMarkerClientData::OnStoreSave </td>
          <td>(</td>
          <td class="paramtype">ParamsWriteContext&#160;</td>
          <td class="paramname"><em>file</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dc3/a09388_source.html#l00048">48</a> of file <a class="el" href="../../dc/dc3/a09388_source.html">expansionmarkerclientdata.c</a>.</p>

</div>
</div>
<a id="a88420118d6bd83bd5fc0f6453622e798" name="a88420118d6bd83bd5fc0f6453622e798"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a88420118d6bd83bd5fc0f6453622e798">&#9670;&#160;</a></span>PersonalCount()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionMarkerClientData::PersonalCount </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dc3/a09388_source.html#l00285">285</a> of file <a class="el" href="../../dc/dc3/a09388_source.html">expansionmarkerclientdata.c</a>.</p>

</div>
</div>
<a id="aa3aa922f8b9cf173800a0a168adfe609" name="aa3aa922f8b9cf173800a0a168adfe609"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa3aa922f8b9cf173800a0a168adfe609">&#9670;&#160;</a></span>PersonalFlipVisibility()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionMarkerClientData::PersonalFlipVisibility </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/d1e/a04382.html">ExpansionMarkerData</a>&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>vis</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dc3/a09388_source.html#l00323">323</a> of file <a class="el" href="../../dc/dc3/a09388_source.html">expansionmarkerclientdata.c</a>.</p>

</div>
</div>
<a id="a01ef023b5aeea9182c748778345ed0db" name="a01ef023b5aeea9182c748778345ed0db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a01ef023b5aeea9182c748778345ed0db">&#9670;&#160;</a></span>PersonalGet() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">array&lt; ref <a class="el" href="../../d7/d1e/a04382.html">ExpansionMarkerData</a> &gt; ExpansionMarkerClientData::PersonalGet </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dc3/a09388_source.html#l00354">354</a> of file <a class="el" href="../../dc/dc3/a09388_source.html">expansionmarkerclientdata.c</a>.</p>

</div>
</div>
<a id="a7f9418ba71d6733052b29cbc4b172ce6" name="a7f9418ba71d6733052b29cbc4b172ce6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7f9418ba71d6733052b29cbc4b172ce6">&#9670;&#160;</a></span>PersonalGet() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/d1e/a04382.html">ExpansionMarkerData</a> ExpansionMarkerClientData::PersonalGet </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>idx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dc3/a09388_source.html#l00290">290</a> of file <a class="el" href="../../dc/dc3/a09388_source.html">expansionmarkerclientdata.c</a>.</p>

</div>
</div>
<a id="a1a0e251c531d61fca97b9a9a1c2a566c" name="a1a0e251c531d61fca97b9a9a1c2a566c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a0e251c531d61fca97b9a9a1c2a566c">&#9670;&#160;</a></span>PersonalGetByUID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/d1e/a04382.html">ExpansionMarkerData</a> ExpansionMarkerClientData::PersonalGetByUID </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>uid</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dc3/a09388_source.html#l00295">295</a> of file <a class="el" href="../../dc/dc3/a09388_source.html">expansionmarkerclientdata.c</a>.</p>

</div>
</div>
<a id="a141e6968992d0b9f7053a9a9ffcd2f84" name="a141e6968992d0b9f7053a9a9ffcd2f84"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a141e6968992d0b9f7053a9a9ffcd2f84">&#9670;&#160;</a></span>PersonalGetUID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionMarkerClientData::PersonalGetUID </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>idx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dc3/a09388_source.html#l00308">308</a> of file <a class="el" href="../../dc/dc3/a09388_source.html">expansionmarkerclientdata.c</a>.</p>

</div>
</div>
<a id="a6ca81416f4c883d218e071200f40e6dc" name="a6ca81416f4c883d218e071200f40e6dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ca81416f4c883d218e071200f40e6dc">&#9670;&#160;</a></span>PersonalInsert()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMarkerClientData::PersonalInsert </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/d1e/a04382.html">ExpansionMarkerData</a>&#160;</td>
          <td class="paramname"><em>data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dc3/a09388_source.html#l00328">328</a> of file <a class="el" href="../../dc/dc3/a09388_source.html">expansionmarkerclientdata.c</a>.</p>

</div>
</div>
<a id="a4c922495992f6a034ed6498ace630e36" name="a4c922495992f6a034ed6498ace630e36"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c922495992f6a034ed6498ace630e36">&#9670;&#160;</a></span>PersonalRemove()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionMarkerClientData::PersonalRemove </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>idx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dc3/a09388_source.html#l00335">335</a> of file <a class="el" href="../../dc/dc3/a09388_source.html">expansionmarkerclientdata.c</a>.</p>

</div>
</div>
<a id="a72aee690c39c2f4ec80b1eeb3cdaec28" name="a72aee690c39c2f4ec80b1eeb3cdaec28"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a72aee690c39c2f4ec80b1eeb3cdaec28">&#9670;&#160;</a></span>PersonalRemoveByUID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionMarkerClientData::PersonalRemoveByUID </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>uid</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dc3/a09388_source.html#l00342">342</a> of file <a class="el" href="../../dc/dc3/a09388_source.html">expansionmarkerclientdata.c</a>.</p>

</div>
</div>
<a id="a439d157593725161b1ee7a1b791f3599" name="a439d157593725161b1ee7a1b791f3599"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a439d157593725161b1ee7a1b791f3599">&#9670;&#160;</a></span>PersonalRemoveVisibility()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionMarkerClientData::PersonalRemoveVisibility </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/d1e/a04382.html">ExpansionMarkerData</a>&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>vis</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dc3/a09388_source.html#l00318">318</a> of file <a class="el" href="../../dc/dc3/a09388_source.html">expansionmarkerclientdata.c</a>.</p>

</div>
</div>
<a id="aad3b92a5d058a6142e1134c584b286be" name="aad3b92a5d058a6142e1134c584b286be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aad3b92a5d058a6142e1134c584b286be">&#9670;&#160;</a></span>PersonalSetVisibility()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionMarkerClientData::PersonalSetVisibility </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/d1e/a04382.html">ExpansionMarkerData</a>&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>vis</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dc3/a09388_source.html#l00313">313</a> of file <a class="el" href="../../dc/dc3/a09388_source.html">expansionmarkerclientdata.c</a>.</p>

</div>
</div>
<a id="a246f5145182a0b08dae0fb536addfc32" name="a246f5145182a0b08dae0fb536addfc32"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a246f5145182a0b08dae0fb536addfc32">&#9670;&#160;</a></span>RefreshPersonalMarkers()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void ExpansionMarkerClientData::RefreshPersonalMarkers </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dc3/a09388_source.html#l00607">607</a> of file <a class="el" href="../../dc/dc3/a09388_source.html">expansionmarkerclientdata.c</a>.</p>

</div>
</div>
<a id="a76db2e82494a2f5ab215baab96ba6314" name="a76db2e82494a2f5ab215baab96ba6314"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a76db2e82494a2f5ab215baab96ba6314">&#9670;&#160;</a></span>RefreshServerMarkers()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void ExpansionMarkerClientData::RefreshServerMarkers </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Already have client info for this marker</p>
<p >It's a new marker</p>
<p >Remove client info for markers that have been removed</p>

<p class="definition">Definition at line <a class="el" href="../../dc/dc3/a09388_source.html#l00567">567</a> of file <a class="el" href="../../dc/dc3/a09388_source.html">expansionmarkerclientdata.c</a>.</p>

</div>
</div>
<a id="a4154be9f2d6b849ab2f83c8110feb734" name="a4154be9f2d6b849ab2f83c8110feb734"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4154be9f2d6b849ab2f83c8110feb734">&#9670;&#160;</a></span>ServerCount()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionMarkerClientData::ServerCount </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dc3/a09388_source.html#l00475">475</a> of file <a class="el" href="../../dc/dc3/a09388_source.html">expansionmarkerclientdata.c</a>.</p>

</div>
</div>
<a id="a379577e5579aecf9cbed251339a9d3e6" name="a379577e5579aecf9cbed251339a9d3e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a379577e5579aecf9cbed251339a9d3e6">&#9670;&#160;</a></span>ServerFlipVisibility()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionMarkerClientData::ServerFlipVisibility </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>uid</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>vis</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dc3/a09388_source.html#l00523">523</a> of file <a class="el" href="../../dc/dc3/a09388_source.html">expansionmarkerclientdata.c</a>.</p>

</div>
</div>
<a id="a70ef53ec4d0dc6e02e1c7a4db6ee35fc" name="a70ef53ec4d0dc6e02e1c7a4db6ee35fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a70ef53ec4d0dc6e02e1c7a4db6ee35fc">&#9670;&#160;</a></span>ServerGet() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/d1e/a04382.html">ExpansionMarkerData</a> ExpansionMarkerClientData::ServerGet </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>idx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dc3/a09388_source.html#l00480">480</a> of file <a class="el" href="../../dc/dc3/a09388_source.html">expansionmarkerclientdata.c</a>.</p>

</div>
</div>
<a id="a62fd9fba50c51cd5b212bc93840021db" name="a62fd9fba50c51cd5b212bc93840021db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62fd9fba50c51cd5b212bc93840021db">&#9670;&#160;</a></span>ServerGet() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/d1e/a04382.html">ExpansionMarkerData</a> ExpansionMarkerClientData::ServerGet </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>uid</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dc3/a09388_source.html#l00485">485</a> of file <a class="el" href="../../dc/dc3/a09388_source.html">expansionmarkerclientdata.c</a>.</p>

</div>
</div>
<a id="ad31856061bcf3810643ef10be786c605" name="ad31856061bcf3810643ef10be786c605"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad31856061bcf3810643ef10be786c605">&#9670;&#160;</a></span>ServerRemoveVisibility()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionMarkerClientData::ServerRemoveVisibility </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>uid</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>vis</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dc3/a09388_source.html#l00511">511</a> of file <a class="el" href="../../dc/dc3/a09388_source.html">expansionmarkerclientdata.c</a>.</p>

</div>
</div>
<a id="a6107837fba8bf4e97d1f0bb90c167ed1" name="a6107837fba8bf4e97d1f0bb90c167ed1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6107837fba8bf4e97d1f0bb90c167ed1">&#9670;&#160;</a></span>ServerSetVisibility()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionMarkerClientData::ServerSetVisibility </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>uid</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>vis</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dc3/a09388_source.html#l00499">499</a> of file <a class="el" href="../../dc/dc3/a09388_source.html">expansionmarkerclientdata.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a33738c3bef35e78126fb429e57a8b728" name="a33738c3bef35e78126fb429e57a8b728"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a33738c3bef35e78126fb429e57a8b728">&#9670;&#160;</a></span>m_IP</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionMarkerClientData::m_IP</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dc3/a09388_source.html#l00015">15</a> of file <a class="el" href="../../dc/dc3/a09388_source.html">expansionmarkerclientdata.c</a>.</p>

</div>
</div>
<a id="a3ff58056e1f145e0fcea66a637d225bc" name="a3ff58056e1f145e0fcea66a637d225bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ff58056e1f145e0fcea66a637d225bc">&#9670;&#160;</a></span>m_MarkerInfo_Server</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref map&lt;<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>, ref <a class="el" href="../../da/d02/a06374.html">ExpansionMarkerClientInfo</a>&gt; ExpansionMarkerClientData::m_MarkerInfo_Server</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dc3/a09388_source.html#l00022">22</a> of file <a class="el" href="../../dc/dc3/a09388_source.html">expansionmarkerclientdata.c</a>.</p>

</div>
</div>
<a id="aea4cca08a46d02ebc97f68c5d297ab5b" name="aea4cca08a46d02ebc97f68c5d297ab5b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea4cca08a46d02ebc97f68c5d297ab5b">&#9670;&#160;</a></span>m_MarkerModule</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dd/dc8/a06378.html">ExpansionMarkerModule</a> ExpansionMarkerClientData::m_MarkerModule</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dc3/a09388_source.html#l00028">28</a> of file <a class="el" href="../../dc/dc3/a09388_source.html">expansionmarkerclientdata.c</a>.</p>

</div>
</div>
<a id="aadb04d4e547147cf828af753f29f1af2" name="aadb04d4e547147cf828af753f29f1af2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aadb04d4e547147cf828af753f29f1af2">&#9670;&#160;</a></span>m_NextPersonalUID</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionMarkerClientData::m_NextPersonalUID</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dc3/a09388_source.html#l00018">18</a> of file <a class="el" href="../../dc/dc3/a09388_source.html">expansionmarkerclientdata.c</a>.</p>

</div>
</div>
<a id="a7b39d309364d578c6f9567199d3b5f18" name="a7b39d309364d578c6f9567199d3b5f18"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7b39d309364d578c6f9567199d3b5f18">&#9670;&#160;</a></span>m_PersonalMarkers</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref array&lt;ref <a class="el" href="../../d7/d1e/a04382.html">ExpansionMarkerData</a>&gt; ExpansionMarkerClientData::m_PersonalMarkers</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dc3/a09388_source.html#l00020">20</a> of file <a class="el" href="../../dc/dc3/a09388_source.html">expansionmarkerclientdata.c</a>.</p>

</div>
</div>
<a id="a30b484efceec56cccb76f5dcd2b74ce2" name="a30b484efceec56cccb76f5dcd2b74ce2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a30b484efceec56cccb76f5dcd2b74ce2">&#9670;&#160;</a></span>m_Port</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionMarkerClientData::m_Port</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dc3/a09388_source.html#l00016">16</a> of file <a class="el" href="../../dc/dc3/a09388_source.html">expansionmarkerclientdata.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Navigation/Scripts/4_world/dayzexpansion_navigation/<a class="el" href="../../dc/dc3/a09388_source.html">expansionmarkerclientdata.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d2/d68/a06370.html">ExpansionMarkerClientData</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
